/******************************************
* config.h - Hard coded configuration info
*
* CVS $Id: config.h,v 1.10 2000/11/10 20:49:00 wcampbel Exp $
******************************************/

#ifndef CONFIG_H
#define CONFIG_H

/* Makefile and -D's were getting too much.  It's 
** a little more work to set a service up
** but it's vastly more configurable
*/

/* Many of the options from the Makefile are now here */

/* CRYPT stays in Makefile because of the possibility of a
** system without libcrypt, plus we need different libraries
** on different systems
*/

/* Solaris needs special options
** Win32 needs special options too
** They will PROBABLY remain in Makefile, at least for now
** as both systems require different CFLAGS and LDFLAGS
*/

/* Support fnmatch() - This is used to support masked servers
** eg *.fi *.au *.test.net.  This makes it non portable to some
** systems, Windows Cygwin included
** MOST networks do not need this, so it's disabled by default
** With it disabled, introducing a user on a server behind a mask
** will cause Stats to die.  The message when it dies will tell you
** to enable this option.  If you think that you will run a server
** with a mask, enable it now to prevent your service from dying
** NOTE:  It no longer crashes.  It sends out a message via WALLOPS
**        or GLOBOPS, logs the message in the log files, and gracefully
**        exits the service.
*/

#undef FNMATCH

/* This is a relatively new and feature.  It appears to be stable and 
** usable.  This may be permanently #define'ed in the future.  It's to 
** support the more secure method of communicating with a service, 
** PRIVMSG user@host :message
*/

#define SUPPORT_MSG_UH

/* Large network support - The targeted audience of this package
** are small networks (Under 1000 users and 60 servers)
** Enabling this option will enlarge the data tables (and increase
** memory usage).  This is untested, and therefore may cause problems
** I would avoid enabling this until there is further testing
**
** This service will need to be heavily optimized to support a large
** number of users.  The optimization HAS begun, but is far from complete.
*/

#undef LARGE_NET

/* You MUST set this or RESTART won't work!!!!
** Set this to the path to the stats binary
*/

#define SPATH "/home/user/Stats/stats"

/* I hate having to do this... now the IRCD_TYPE is set at compile
** time.  This means to change the IRCD_TYPE, you must recompile the 
** service
**
** Only enable ONE - There is no checking or sanity checking on this 
** option yet...
**
** Supported types...
** IRCD_HYBRID
** IRCD_HYB6
** IRCD_DAL
** IRCD_MLN
** IRCD_2_10
**
** Look at the README file for more detailed descriptions of these IRCD
** types.
*/
#define IRCD_HYBRID
/* #define IRCD_HYB6 */
/* #define IRCD_DAL */
/* #define IRCD_MLN */
/* #define IRCD_2_10 */

/* Set the service into debug mode...
** NOTE:  This is a privacy risk and should NOT be done on any real IRC
** network, only on a test net.
*/

#undef DEBUG

#endif /* CONFIG_H */
