/* GeoStats - IRC Statistical Services
** Copyright (c) 1999 Jonathan George
**  E-Mail: net@lite.net
*
*  Help text used in the service
*
** GeoStats CVS Identification
** $Id: help.c,v 1.11 2000/11/08 23:23:49 wcampbel Exp $
*/

#include "stats.h"

const char *ss_help[] = {
"*** Statistics Help ***",
"",
"Commands:",
"\2SERVER\2     Request information about a server.",
"\2MAP\2        Show the network map.",
"\2UPTIME\2     Statistics memory use and uptime.",
"\2NETSTATS\2   General Network Statistics.",
"\2DAILY\2      Daily Network Statistics.",
"\2TLD\2        Show what country a TLD represents.",
"\2TLDMAP\2     Statistics on TLD's.",
"\2OPERLIST\2   Show a listing of on-line IRCops.",
"\2URL\2        Shows the URL for the HTML statistics.",
"\2STATUS\2     Show Statistics Settings and Status.",
"\2LOGIN\2      Login to Statistics.",
"",
"End of Help.",
NULL
};

const char *ss_myuser_help[] = {
"",
"*** Additional Commands ***",
"",
"\2SHUTDOWN\2   Shutdown Stats.",
"\2DIE\2        Shutdown Stats.",
"\2RESTART\2    Restart Stats.",
"\2USER\2       Modify User Entries.",
"\2STATS\2      Modify Statistic Entries.",
"\2LOGS\2       View logfiles.",
"\2JOIN\2       Join a channel.",
"\2UPDATE\2     Force an HTML Update.",
"",
"End of Help",
NULL
};

const char *ss_server_help[] = {
"*** Statistics: \2SERVER\2 Help ***",
"",
"Usage: \2SERVER \37<server name>\37\2",
"",
"Provides you with statistics on a",
"specific server.",
"",
"End of Help.",
NULL
};

const char *ss_map_help[] = {
"*** Statistics: \2MAP\2 Help ***",
"",
"Usage: \2MAP\2",
"",
"Provides a server listing with",
"minimal statistics.",
"",
"End of Help.",
NULL
};

const char *ss_netstats_help[] = {
"*** Statistics: \2NETSTATS\2 Help ***",
"",
"Usage: \2NETSTATS\2",
"",
"Provides information about the",
"performance of the network.",
"",
"End of Help.",
NULL
};

const char *ss_daily_help[] = {
"*** Statistics: \2DAILY\2 Help ***",
"",
"Usage: \2DAILY\2",
"",
"Provides information about records",
"that have been set today.",
"",
"End of Help.",
NULL
};

const char *ss_tld_help[] = {
"*** Statistics: \2TLD\2 Help ***",
"Usage: \2TLD \37top_level_domain\37\2",
"",
"Provides the country-name",
"for a specific TLD.  An example",
"of a TLD is \2.NET\2",
"",
"End of Help.",
NULL
};

const char *ss_tld_map_help[] = {
"*** Statistics: \2TLDMAP\2 Help ***",
"Usage: \2TLDMAP\2",
"",
"Shows the network map in",
"relation to top level domains.",
"",
"End of Help.",
NULL
};

const char *ss_operlist_help[] = {
"*** Statistics: \2OPERLIST\2 Help ***",
"Usage: \2OPERLIST (\37options|server_name\37)\2",
"",
"Shows a listing of IRCops.",
"",
"Flags:",
" \2NOAWAY\2   Don't show opers that are set away.",
" \2SERVER\2   Only show opers on that server.",
"",
"End of Help.",
NULL
};

const char *ss_login_help[] = {
"*** Statistics: \2LOGIN\2 Help ***",
"Usage: \2LOGIN \37username password\37\2",
"",
"Allows you to access other Stats",
"features.",
"",
"End of Help.",
NULL
};

const char *ss_user_help[] = {
"*** Statistics: \2USER\2 Help ***",
"Usage: \2USER \37[ADD|DEL|LIST]\37\2",
"",
"\2LIST\2          List all entries.",
"\2DEL \37user\37\2      Remove an entry.",
"\2ADD\2 \37user pass\37 Add an entry.",
"",
"End of Help.",
NULL
};

const char *ss_shutdown_help[] = {
"*** Statistics: \2SHUTDOWN\2 Help ***",
"Usage: \2SHUTDOWN reason\2",
"Usage: \2DIE reason\2",
"",
"Force Stats to exit immediately.",
"The reason is optional.",
"This command should be used wisely.",
"",
"End of Help.",
NULL
};

const char *ss_restart_help[] = {
"*** Statistics: \2RESTART\2 Help ***",
"Usage: \2RESTART reason\2",
"",
"Force Stats to restart immediately.",
"The reason is optional.",
"This command should be used wisely.",
"",
"End of Help.",
NULL
};

const char *ss_stats_help[] = {
"*** Statistics: \2STATS\2 Help ***",
"Usage: \2STATS \37[DEL|LIST|COPY]\37\2",
"",
"\2LIST\2  List all database entries.",
"\2DEL \37name\37\2  Remove an entry.",
"\2COPY \37name newname\37\2  Copy an entry.",
"",
"End of Help.",
NULL
};

const char *ss_logs_help[] = {
"*** Statistics: \2LOGS\2 Help ***",
"Usage: \2LOGS\2",
"",
"Sends today's logfile via PRIVMSG/NOTICE",
"",
"End of Help.",
NULL
};

const char *ss_join_help[] = {
"*** Statistics: \2JOIN\2 Help ***",
"Usage: \2JOIN \37channel\37\2",
"",
"Forces the Statistical Service to",
"join the channel specified",
"",
"End of Help.",
NULL
};

const char *ss_update_help[] = {
"*** Statistics: \2UPDATE\2 Help ***",
"Usage: \2UPDATE\2",
"",
"Forces an HTML Update",
"",
"End of Help.",
NULL
};

const char *ss_quote_help[] = {
"*** Statistics: \2QUOTE\2 Help ***",
"Usage: \2QUOTE <raw IRC server-server protocol command>\2",
"",
"Be VERY Careful, this may adversely affect to network",
"",
"End of Help.",
NULL
};

const char *ss_url_help[] = {
"*** Statistics: \2URL\2 Help ***",
"Usage: \2URL\2",
"",
"Shows the URL used for the HTML statistics output",
"",
"End of Help.",
NULL
};

const char *ss_status_help[] = {
"*** Statistics: \2STATUS\2 Help ***",
"Usage: \2STATUS\2",
"",
"Show Statistics settings and status information",
"NOTE:  Some things are only shown to people who have logged in",
"       using the \2LOGIN\2 command.",
"",
"End of Help.",
NULL
};

const char *ss_uptime_help[] = {
"*** Statistics: \2UPTIME\2 Help ***",
"Usage: \2UPTIME\2",
"",
"Show Statistics uptime and memory statistics.",
"",
"End of Help.",
NULL
};

const char *ss_jupe_help[] = {
"*** Statistics: \2JUPE\2 Help ***",
"Usage: \2JUPE <server name>\2",
"",
"Creates a fake server linked to the Stats service.",
"This will prevent the real server of the same name",
"from linking to the network.",
"",
"NOTE:  This command needs to have the uplink contain",
"       an H: line in it's configuration files for",
"       JUPE to work.",
"NOTE:  This command is optionally (and often) disabled",
"       and may in the future be removed",
"",
"End of Help.",
NULL
};
