/***********************************************
* GeoStats HTML Dump Extension
* Walter Campbell (Hwy101) (wcampbel@botbay.net)
* 3 Janvier 2000
*
* CVS $Id: html.c,v 1.16 2000/11/09 15:16:49 wcampbel Exp $
***********************************************/

#include "stats.h"

void DumpHTML()
{
	FILE *fp = fopen(me.html, "w");
	time_t now = time(NULL);
	Server *s;
	User *u;
	register int i;
	TLD *t;

	if (!fp) {
		log("Unable to open HTML Dump file %s for writing.", me.html);
		return;
	}

	log("HTML Dump file %s opened", me.html);

	/* write out the HTML heading lines */

	/* This can probably be customized better, maybe taking 
	** an example from the WebTraceroute program, and how it 
	** creates it's HTML template.
	*/

	fprintf(fp, "<HTML><HEAD>");
	fprintf(fp, "<TITLE>IRC Statistics for %s </TITLE>\n", sftime(now));
	fprintf(fp, "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"%d\">\n", 
		me.html_time);
	fprintf(fp, "<META HTTP-EQUIV=\"Pragma\" CONTENT=\"no-cache\">\n");
	fprintf(fp, "<BODY TEXT=\"#000000\" BGCOLOR=\"#FFFFFF\" LINK=\"#0000EE\" VLINK=\"#551A8B\" ALINK=\"#FF0000\">\n");

	/* write out the network data */

	fprintf(fp, "<CENTER><H3>Network Statistics</H3></CENTER><P>\n");
	fprintf(fp, "<B>My Name:</B> %s!%s@%s on %s<BR>\n", s_StatServ, 
			StatServ.user, StatServ.host, me.name);
	fprintf(fp, "<B>My Uplink:</B> %s<BR>\n", me.s->name);
	fprintf(fp, "<B>Current User Count:</B> %ld<BR>\n", me.users);
	fprintf(fp, "<B>Max Users:</B> %ld at %s<BR>\n", me.maxusers, 
		sftime(me.t_maxusers));

   /* hybrid doesn't propegate AWAY, so don't print it out */
#if defined(IRCD_DAL) || defined(IRCD_MLN) || defined(IRCD_2_10)
	fprintf(fp, "<B>Current AWAY User Count:</B> %d<BR>\n", me.away);
#endif

	fprintf(fp, "<B>Current Oper Count:</B> %d<BR>\n", me.opers);
	fprintf(fp, "<B>Max Opers:</B> %d at %s<BR>\n", me.maxopers,
		sftime(me.t_maxopers));
	fprintf(fp, "<B>Current Server Count:</B> %d<BR>\n", me.servers);
	fprintf(fp, "<B>Max Servers:</B> %d at %s<BR>\n", me.maxservers,
		sftime(me.t_maxservers));
	fprintf(fp, "<B>Statistics Last Updated:</B> %s<BR>\n", 
		sftime(now));
	fprintf(fp, "<B>Current Uptime:</B> %s<BR>\n", uptime(me.t_start));
	fprintf(fp, "<HR>");
	fprintf(fp, "<CENTER><H3>Server List</H3></CENTER><P>\n");
	fprintf(fp, "<UL>\n");
	for (i=0; i < S_TABLE_SIZE; i++)
		for (s = serverlist[i]; s; s = s->next)
			fprintf(fp, "<A HREF=\"#%s\">%s</A><BR>\n",
				s->name, s->name);
	fprintf(fp, "</UL>\n");

	fprintf(fp, "<HR>\n");
	fprintf(fp, "<CENTER><H3>TLD Table</H3></CENTER><P>\n");
	for (t=tldhead; t; t=t->next) {
		if (t->users > 0) {
		  fprintf(fp, "%d user%s on %s (%2.0f%%)<BR>\n", t->users,
			(t->users == 1) ? "" : "s", t->country, 
			(float)t->users / (float)me.users * 100);
		}
	}

	fprintf(fp, "<HR>\n");
	fprintf(fp, "<CENTER><H3>Oper List</H3></CENTER><P>\n");
	fprintf(fp, "<OL>\n");
	for (i=0; i < U_TABLE_SIZE; i++) {
		for (u = userlist[i]; u; u = u->next) {
			if (u->is_oper) {
				fprintf(fp, "<LI>%s on %s<BR>\n",
					u->nick, u->server->name);
			}
		}
	}

	fprintf(fp, "</OL>\n");

	for (i=0; i < S_TABLE_SIZE; i++)
		for (s = serverlist[i]; s; s = s->next) {
			fprintf(fp, "<HR>\n");
			fprintf(fp, "<A NAME=\"%s\"></A>", s->name);
			fprintf(fp, "<CENTER><H3>%s</H3></CENTER><P>\n", 
				s->name);
			fprintf(fp, "<B>Description Line:</B> %s<BR>\n",
				s->desc);
			fprintf(fp, "<B>Current User Count:</B> %d<BR>\n",
				s->users);
			fprintf(fp, "<B>Max Users:</B> %ld at %s<BR>\n", 
				s->stats->maxusers, 
				sftime(s->stats->t_maxusers));
			fprintf(fp, "<B>Current Oper Count:</B> %d<BR>\n",
				s->opers);
                        fprintf(fp, "<B>Max Opers:</B> %d at %s<BR>\n",
                                s->stats->maxopers,
                                sftime(s->stats->t_maxopers));
			fprintf(fp, "<B>Connected Since:</B> %s<BR>\n",
				sftime(s->connected_since));
			if (s->uplink) {
				fprintf(fp, "<B>Uplink:</B> <A HREF=\"#%s\">%s</A><BR>\n",
					s->uplink->name, s->uplink->name);
			}
		}

	/* I should allow for multiple "Other Links" entries */

	fprintf(fp, "<HR><CENTER><H3>Other Links</H3></CENTER>%s<BR><HR>\n", me.html_link);

	fprintf(fp, "</BODY></HTML>");

	fclose(fp);
}
