/* simple password generator by Nelson Minar (minar@reed.edu)
 * copyright 1991, all rights reserved.
 * You can use this code as long as my name stays with it.
 *
 * patched for md5 with defines by Walter Campbell
 *
 * $Id: mkpasswd.c,v 1.2 2000/11/10 15:41:50 wcampbel Exp $
 */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>

extern char *getpass();
extern char *crypt();
/* extern long random(); */
/* extern int srandom(unsigned); */

int main(argc, argv)
int argc;
char *argv[];
{
  static char saltChars[] = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789./";
#ifdef MD5
  char salt[8];
#else
  char salt[3];
#endif
  char * plaintext;

  if (argc < 2) {
    srandom(time(0));		/* may not be the BEST salt, but its close */
#ifdef MD5
    sprintf(salt, "$1$%c%c%c$", saltChars[random() % 64],
        saltChars[random() % 64], saltChars[random() % 64]);
#else
    salt[0] = saltChars[random() % 64];
    salt[1] = saltChars[random() % 64];
    salt[2] = 0;
#endif
  }
  else {
#ifdef MD5
    if (argv[1][0] != '$') 
        sprintf(salt, "$1$%c%c%c$", argv[1][0], argv[1][1], argv[1][2]);
    else {
        strcpy(salt, argv[1]);
        salt[8] = '\0';
    }
#else
    salt[0] = argv[1][0];
    salt[1] = argv[1][1];
    salt[2] = '\0';
#endif
#ifdef MD5
    if ((strchr(saltChars, salt[3]) == NULL) || (strchr(saltChars, salt[4]) == NULL) || (strchr(saltChars, salt[5]) == NULL))
      fprintf(stderr, "illegal salt %s\n", salt), exit(1);
#else
    if ((strchr(saltChars, salt[0]) == NULL) || (strchr(saltChars, salt[1]) == NULL))
      fprintf(stderr, "illegal salt %s\n", salt), exit(1);
#endif
  }

  plaintext = getpass("plaintext: ");

  printf("%s\n", crypt(plaintext, salt));
  return 0;
}

